Bug 212238 - Platform without FX can be select for use in FX Project Properties
Platform without FX can be select for use in FX Project Properties
Status: RESOLVED FIXED
Product: javafx
Classification: Unclassified
Component: Platform
7.2
PC Windows 7
: P3 (vote)
: 7.3
Assigned To: apireviews
issues@javafx
: API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-09 13:24 UTC by Stepan Zebra
Modified: 2013-05-02 14:13 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
API change + patch resolving this issue (31.31 KB, patch)
2013-04-23 14:49 UTC, Petr Somol
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stepan Zebra 2012-05-09 13:24:48 UTC
Product Version: NetBeans IDE Dev (Build 201205070400)
Java: 1.6.0_32; Java HotSpot(TM) 64-Bit Server VM 20.7-b02
System: Windows 7 version 6.1 running on amd64; Cp1250; cs_CZ (nb)

In Project Properties of an FX project, non-FX Java Platform can be selected for use. This shouldn't be possible now according to issue 202300.
Comment 1 Petr Somol 2013-04-23 14:49:22 UTC
Created attachment 133718 [details]
API change + patch resolving this issue

We face the following problem: FX project as an extension of SE Project reuses SE infrastructure including UI components; because SE infrastructure knows nothing about the restrictions put on Java Platforms in FX projects, there is currently now way of preventing the users to select unusable Java Platform in standard project dialogs.

Please evaluate the API change that introduces optional filtering of platform lists that can be realized in SE project extensions. The attachment contains API change, change in project code to resolve this issue and tests.
Comment 2 Tomas Zezula 2013-04-23 15:01:37 UTC
Seems good to me.
Comment 3 Petr Somol 2013-04-30 12:28:21 UTC
as there was no more comments I pushed the change:
http://hg.netbeans.org/jet-main/rev/22dadcf56224
Comment 4 Quality Engineering 2013-05-02 14:13:37 UTC
Integrated into 'main-golden', will be available in build *201305021042* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/22dadcf56224
User: Petr Somol <psomol@netbeans.org>
Log: #212238 - Platform without FX can be select for use in FX Project Properties


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo